What Devices, Browsers and Operating Systems Are Compatible?

High Fidelity is in early development and has not been extensively tested on all computers, tablets, or mobile phones.

High Fidelity should work using a Google Chrome browser on most PCs, Macs, and Android mobile devices.

If you're using an iPhone, it will work on Safari only. Please do not use Chrome.

Minimum Requirements

These are the current bandwidth, browser versions, and operating system minimum requirements for High Fidelity to run.

Internet Bandwidth 1.5mbps up and down
Browsers  
Chrome Chrome 72 and later
Safari Safari 11 and later
Operating Systems  
Android version Android 5 (Lollipop) and later
iOS version iOS 11 and later
MacOS version MacOS 10.13 (High Sierra) and later
Windows version Windows 10

 

WARNING: Using unsupported browsers, devices, and operating systems may result in being unable to see/hear others in the High Fidelity space, or not being seen/heard by others.

NOTE: Currently, if you share a link to a space via an app, the recipient will need to copy the link from the app, paste it into a supported browser, and access High Fidelity that way. Otherwise, they may run into errors when trying to join. More on this here: "Incompatible Browser" Error